# CoveredAreas
Date: 2018-01-28

data

## Class CoveredAreas

- java.lang.Object
- - data.CoveredAreas

    public class CoveredAreas
    extends java.lang.Object

### Field Summary

Fields
`private ISP` `isp`
`private java.lang.String` `name`
`private java.util.List<TechnoCoverage>` `technos`

### Constructor Summary

Constructors
Constructor and Description
`CoveredAreas(java.lang.String name, ISP isp, java.util.List<TechnoCoverage> techno)`
`CoveredAreas(java.lang.String name, ISP isp, TechnoCoverage... techno)`
`CoveredAreas(java.lang.String name, java.util.List<TechnoCoverage> techno)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ISP` `getIsp()`
`java.lang.String` `getName()`
`java.util.List<TechnoCoverage>` `getTechnos()`
`void` `setIsp(ISP isp)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### technos

    private final java.util.List<TechnoCoverage> technos

#### name

    private final java.lang.String name

#### isp

    private ISP isp

### Constructor Detail

#### CoveredAreas

    public CoveredAreas(java.lang.String name,
                        ISP isp,
                        java.util.List<TechnoCoverage> techno)

#### CoveredAreas

    public CoveredAreas(java.lang.String name,
                        java.util.List<TechnoCoverage> techno)

#### CoveredAreas

    public CoveredAreas(java.lang.String name,
                        ISP isp,
                        TechnoCoverage... techno)

### Method Detail

#### getTechnos

    public java.util.List<TechnoCoverage> getTechnos()

#### getName

    public java.lang.String getName()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getIsp

    public ISP getIsp()

#### setIsp

    public void setIsp(ISP isp)